Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleInitialize

Initialize ensemble members with Gaussian perturbations

## Synopsis

    PetscErrorCode PetscDAEnsembleInitialize(PetscDA da, Vec x0, PetscReal obs_error_std, PetscRandom rng)

## Input Parameters

- da - PetscDA context

- x0 - Background state

- obs_error_std - Standard deviation for perturbations

- rng - Random number generator

## Notes

Each ensemble member is initialized as x0 + Gaussian(0, obs_error_std)

## See Also

PetscDA: Data Assimilation, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDA`

## Level

beginner

## Location

src/ml/da/impls/ensemble/daensemble.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages